Bug 1758064 - Odd requirement: menu-cache-devel
Summary: Odd requirement: menu-cache-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfm-qt
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-03 07:49 UTC by Eugene A. Pivnev
Modified: 2019-10-27 01:09 UTC (History)
5 users (show)

Fixed In Version: libfm-qt-0.14.1-4.fc30_1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:09:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Eugene A. Pivnev 2019-10-03 07:49:50 UTC
Description of problem: libfm-qt requires menu-cache-devel.
That requires about 10 additional -devel packages and all of compiling environment.

Comment 1 Raphael Groner 2019-10-03 19:16:25 UTC
* Fri Aug 03 2018 Zamir SUN <zsun@fedoraproject.org> - 0.13.0-2
- Add menu-cache-devel as Require, otherwise cmake report 'Imported target "fm-qt" includes non-existent path'

Comment 2 Eugene A. Pivnev 2019-10-03 21:48:01 UTC
Sorry for too short description - menu-cache-devel Require with libfm-qt.rpm during installing it into system.
Not only on compile time.
And not only for libfm-qt-devel.

Comment 3 Eugene A. Pivnev 2019-10-03 22:07:49 UTC
(In reply to Raphael Groner from comment #1)
> * Fri Aug 03 2018 Zamir SUN <zsun@fedoraproject.org> - 0.13.0-2
> - Add menu-cache-devel as Require, otherwise cmake report 'Imported target
> "fm-qt" includes non-existent path'

Look at this:

[root@localhost ~]# echo "Devel packages: `rpm -qa | grep devel | wc -l`"; echo "n" | LC_ALL=C dnf install libfm-qt | grep devel | cut -d' ' -f2
Devel packages: 0
Operation aborted.
glib2-devel
libblkid-devel
libmount-devel
libselinux-devel
libuuid-devel
pcre-devel
pcre2-devel
zlib-devel
libffi-devel
libsepol-devel
menu-cache-devel

This is not good "Require" for so simple dynamic library. I think.

Comment 4 Rex Dieter 2019-10-03 22:38:51 UTC
Dep was added to the wrong place, should've been added to the -devel subpkg, not main/runtime library

Comment 5 Zamir SUN 2019-10-04 14:31:35 UTC
I'll take a look as soon as I can.

Comment 6 Fedora Update System 2019-10-07 12:00:23 UTC
FEDORA-2019-edb1989891 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-edb1989891

Comment 7 Fedora Update System 2019-10-08 21:42:00 UTC
libfm-qt-0.14.1-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-edb1989891

Comment 8 Eugene A. Pivnev 2019-10-10 07:59:20 UTC
Bug cannot be closed until F30 build.

Comment 9 Fedora Update System 2019-10-19 14:46:26 UTC
FEDORA-2019-f4651417ae has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4651417ae

Comment 10 Zamir SUN 2019-10-19 14:48:58 UTC
(In reply to Eugene A. Pivnev from comment #8)
> Bug cannot be closed until F30 build.

In theory any bug can be closed as 'RAWHIDE' as long as it is fixed in rawhide.

IIUC you want it to be fixed in Fedora 30 as well. I just dropped this bug from the F31 Bodhi and filed a F30 one.

Comment 11 Fedora Update System 2019-10-19 18:00:47 UTC
libfm-qt-0.14.1-4.fc30_1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4651417ae

Comment 12 Fedora Update System 2019-10-27 01:09:11 UTC
libfm-qt-0.14.1-4.fc30_1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.